package com.usky.dxtop;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.usky.dxtop.common.exception.CustomException;
import com.usky.dxtop.common.utils.Arith;
import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.model.Charge;
import com.usky.dxtop.model.Dish;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.ChargeService;
import com.usky.dxtop.service.DishService;
import com.usky.dxtop.service.MsgLogService;
import com.usky.dxtop.service.api.TopApiConfiger;
import com.usky.dxtop.service.api.WxApi;
import com.usky.dxtop.service.job.CenterUserJob;
import com.usky.dxtop.service.job.SmJob;
import com.usky.dxtop.service.listener.ChargeTransMqListener;
import com.usky.dxtop.service.listener.DishTransMqListener;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/9/28 15:11
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class SmApiTest {


    @Autowired
    private CenterUserJob centerUserJob;

    @Test
    public void test1(){
        centerUserJob.personApi(null);
    }

    private static final String GET_TOKEN = "https://api.weixin.qq.com/cgi-bin/token";
    @Autowired
    private BCryptPasswordEncoder bCryptPasswordEncoder;

    @Autowired
    private WxApi wxApi;

    @Test
    public void test2(){
        String admin = bCryptPasswordEncoder.encode("admin");
        String pwd = "$2a$10$.agKRg0rkzmyQjvvPThWyuUf9joOMygcDjd9JsFr6Hg04y4duMUrW";
        System.out.println("密码是否一直:"+bCryptPasswordEncoder.matches("admin", admin));
    }

    @Test
    public void test3(){
        TreeMap<String,String> tokenMap = new TreeMap<>();
        tokenMap.put("grant_type","client_credential");
        tokenMap.put("appid",WxApi.APP_ID);
        tokenMap.put("secret",WxApi.SECRET);
        String token = HttpUtils.sendGet(GET_TOKEN, WxApi.joinParam(tokenMap), null);
    }




}
